Bug 232935 - multimedia/emby-server shared library error
Summary: multimedia/emby-server shared library error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on: 232966
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-03 14:10 UTC by Dries Michiels
Modified: 2019-03-04 20:16 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2018-11-03 14:10:05 UTC
2018-11-03 15:06:28.738
Application version: 3.5.3.0

http://emby.vados.fido.be:8096/videos/ab5b2df1fb049179d2354264358d306b/live.m3u8?DeviceId=9ef20ea469d76fc43666abea9226c10754afe137&MediaSourceId=ab5b2df1fb049179d2354264358d306b&VideoCodec=h264&AudioCodec=mp3,aac&VideoBitrate=139808000&AudioBitrate=192000&PlaySessionId=3a749fd80ba440d6acdede923af250c2&api_key=1cfd02e027a84513b565207a5d26e1bd&TranscodingMaxAudioChannels=2&RequireAvc=false&Tag=0e2e671a6df1f08404922a04036bd985&SegmentContainer=ts&MinSegments=1&BreakOnNonKeyFrames=True&h264-profile=high,main,baseline,constrainedbaseline,high10&h264-level=51

{"Protocol":"File","Id":"ab5b2df1fb049179d2354264358d306b","Path":"/media/movies/The Equalizer 2/The Equalizer 2.mp4","Type":"Default","Container":"mp4","Name":"The Equalizer 2","IsRemote":false,"ETag":"0e2e671a6df1f08404922a04036bd985","ReadAtNativeFramerate":false,"IgnoreDts":false,"IgnoreIndex":false,"GenPtsInput":false,"SupportsTranscoding":true,"SupportsDirectStream":true,"SupportsDirectPlay":true,"IsInfiniteStream":false,"RequiresOpening":false,"RequiresClosing":false,"RequiresLooping":false,"SupportsProbing":true,"VideoType":"VideoFile","MediaStreams":[],"Formats":[],"RequiredHttpHeaders":{}}

User policy for Dries: EnablePlaybackRemuxing: True EnableVideoPlaybackTranscoding: True EnableAudioPlaybackTranscoding: True

/usr/local/lib/emby-server/bin/ffmpeg -f mp4 -i file:"/media/movies/The Equalizer 2/The Equalizer 2.mp4" -map_metadata -1 -map_chapters -1 -threads 0 -sn -codec:v:0 libx264 -pix_fmt yuv420p -preset veryfast -crf 28 -maxrate 139808000 -bufsize 279616000 -profile:v high -level 4.1 -x264opts:0 subme=0:me_range=4:rc_lookahead=10:me=dia:no_chroma_me:8x8dct=0:partitions=none -force_key_frames "expr:gte(t,n_forced*3)" -flags -global_header -vsync -1 -codec:a:0 libmp3lame -ac 2 -ab 192000  -f segment -max_delay 5000000 -avoid_negative_ts disabled -start_at_zero -segment_time 3  -individual_header_trailer 0 -segment_format mpegts -segment_list_entry_prefix "hls/6f63b452a4e1dc49bac4fe4b22f03b69/" -segment_list_type m3u8 -segment_start_number 0 -segment_list "/var/db/emby-server/transcoding-temp/6f63b452a4e1dc49bac4fe4b22f03b69.m3u8" -y "/var/db/emby-server/transcoding-temp/6f63b452a4e1dc49bac4fe4b22f03b69%d.ts"

Shared object "libx264.so.152" not found, required by "libavcodec.so.58"

See error above found in alot of emby server logs. I can't playback movies anymore after update to latest emby package.
Comment 1 Bugzilla Automation freebsd_committer 2018-11-03 14:10:05 UTC
Maintainer informed via mail
Comment 2 Dries Michiels 2018-11-03 14:13:06 UTC
Added woodsb02 to CC as latest commiter.
Comment 3 Dries Michiels 2018-11-03 14:21:44 UTC
The shared library of x264 is already at .155
Is the Emby package compiled against quarterly ports?

root@emby:/ # find / -name 'libx264*'
/usr/local/lib/libx264.so
/usr/local/lib/libx264.a
/usr/local/lib/libx264.so.155
/var/cache/pkg/libx264-0.155.2917.txz
/var/cache/pkg/libx264-0.155.2917-8b06954c15.txz

root@emby:/ # find / -name 'libavcodec*'
/usr/local/lib/emby-server/lib/libavcodec.so.58
/usr/local/lib/emby-server/lib/libavcodec.so.58.18.100
/usr/local/lib/emby-server/lib/libavcodec.so

Against what version of the ports tree is the emby server package compiled (I'm on head).
Comment 4 Maxime Gauduin 2018-11-04 08:35:23 UTC
The package is indeed targeting quarterly, as it is a first for us we were unaware of how latest and quarterly are related. We will rebuild against latest and push a patch to the ports tree.
Comment 5 Dries Michiels 2018-11-04 09:46:02 UTC
Thanks for taking care of this and no problem! 

I think the correct way is to always target head. From there we can choose what gets into the quarterly branch at what version. For example, if we want to lock libx264 at a specific version we will need to do this for all dependent ports too.

Quarterly automatically comes from head (in due time, and at specific versions of every port). I'm sure woodsb02 can correct me if I'm wrong.
Comment 6 commit-hook freebsd_committer 2019-03-04 20:15:39 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Mar  4 20:14:40 UTC 2019
New revision: 494643
URL: https://svnweb.freebsd.org/changeset/ports/494643

Log:
  - Update to 4.0.2.0 [1]
  - Fix cannot fix shared library errors [2] [3]
  - Update maintainer's email [3]

  PR:		232935 [2] 232966 [3]
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com> [1] [2]
  		Maxime Gauduin <alucryd@archlinux.org> [3]
  Approved by:	Maxime Gauduin <alucryd@archlinux.org> (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D19130

Changes:
  head/multimedia/emby-server/Makefile
  head/multimedia/emby-server/distinfo
  head/multimedia/emby-server/files/ImageMagickSharp.dll.config.in
  head/multimedia/emby-server/files/SQLitePCLRaw.provider.sqlite3.dll.config.in
  head/multimedia/emby-server/files/emby-server.in
  head/multimedia/emby-server/pkg-message
  head/multimedia/emby-server/pkg-plist